Summary:	HarfBuzz - internationalized text shaping library - MinGW32 cross version
Summary(pl.UTF-8):	Rasteryzer fontów TrueType - wersja skrośna dla MinGW32
Name:		crossmingw32-harfbuzz
Version:	1.3.4
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	https://www.freedesktop.org/software/harfbuzz/release/harfbuzz-%{version}.tar.bz2
# Source0-md5:	065843caf247687b94126773285bc70f
Patch0:		harfbuzz-win32.patch
URL:		https://www.freedesktop.org/wiki/HarfBuzz
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
# cairo is used only for utilities, which are not packaged
#BuildRequires:	crossmingw32-cairo >= 1.8.0
BuildRequires:	crossmingw32-freetype >= 2.4.2
BuildRequires:	crossmingw32-glib2 >= 2.38
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig >= 1:0.20
Requires:	crossmingw32-freetype >= 2.4.2
Requires:	crossmingw32-glib2 >= 2.38
Requires:	crossmingw32-gcc-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# see <harfbuzz/internal/ftserv.h>, the real horror
%define		specflags	-fno-strict-aliasing

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
Internationalized OpenType text layout and rendering library.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteka rozmieszczająca i rysująca tekst z fontów OpenType,
obsługująca wiele języków.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static harfbuzz library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka harfbuzz (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static harfbuzz library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka harfbuzz (wersja skrośna MinGW32).

%package dll
Summary:	DLL harfbuzz library for Windows
Summary(pl.UTF-8):	Biblioteka DLL harfbuzz dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-freetype-dll >= 2.4.2
Requires:	crossmingw32-glib2-dll >= 2.38
Requires:	wine

%description dll
DLL harfbuzz library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL harfbuzz dla Windows.

%prep
%setup -q -n harfbuzz-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
export PKG_CONFIG_LIBDIR=%{_pkgconfigdir}
%configure \
	--target=%{target} \
	--build=i686-pc-linux-gnu \
	--host=%{target} \
	--disable-gtk-doc \
	--disable-silent-rules \
	--enable-static \
	--without-cairo \
	--with-freetype \
	--with-glib \
	--without-graphite2 \
	--with-html-dir=%{_gtkdocdir} \
	--without-icu \
	--with-uniscribe

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -rf $RPM_BUILD_ROOT%{_gtkdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README TODO
%{_libdir}/libharfbuzz.dll.a
%{_libdir}/libharfbuzz.la
%{_includedir}/harfbuzz
%{_pkgconfigdir}/harfbuzz.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libharfbuzz-*.dll
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-harfbuzz.git;a=log;h=auto/th/crossmingw32-harfbuzz-1.3.4-1

* Wed Dec 28 2016 Jakub Bogusz <qboosh@pld-linux.org> aab13c7
- updated to 2.38

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 35ca7a9
- updated to 1.3.2

* Wed Aug 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 65c248b
- updated to 1.3.0

* Mon May 09 2016 Jakub Bogusz <qboosh@pld-linux.org> b377c2a
- updated to 1.2.7

* Mon Apr 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 8dfe028
- updated to 1.2.6

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 62f9dff
- updated to 1.2.4

* Fri Feb 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 50717e3
- updated to 1.2.3

* Sat Feb 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 7c9a4b7
- updated to 1.2.0

* Tue Jan 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 24a2a94
- updated to 1.1.3
- added win32 patch (allow build with pre-Vista headers), like mingw32<=4.0.3

* Sat Nov 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 2ecd5ba
- updated to 1.1.2

* Thu Nov 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 830755c
- updated to 1.1.0

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 08ae5fa
- updated to 1.0.5 (fixes multiple memory access bugs)

* Mon Sep 28 2015 Jakub Bogusz <qboosh@pld-linux.org> fd2bdba
- release 2

* Sat Sep 05 2015 Jakub Bogusz <qboosh@pld-linux.org> aa2bbca
- updated to 1.0.3

* Sat Aug 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 08ddd3b
- updated to 1.0.1

* Sun Jun 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 6f6a2ad
- updated to 0.9.41
- removed obsolete mingw32 patch

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 55be87f
- x32 rebuild
- release 2 (by relup.sh)

* Sun Mar 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 87dc0f3
- updated to 0.9.40

* Thu Mar 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 652c796
- updated to 0.9.39
- updated mingw32 patch

* Mon Jan 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 60c9592
- updated to 0.9.38

